openapi: 3.0.3
info:
  title: Airport Manager - report
  description: |
    Microservice Application for Airport Manager - microservice for pdf report
  contact:
    name: Ján Macháček
    email: 493237@mail.muni.cz
    # insert your information as well
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: "1.1"
servers:
  - url: "{scheme}://{server}:{port}"
    description: my server
    variables:
      scheme:
        default: http
        enum:
          - http
          - https
      server:
        default: localhost
      port:
        default: "8085"
tags:
  - name: Report
    description: Microservice for report pdf report.
paths:
  /api/reports/flight/{id}:
    get:
      tags:
        - Report
      summary: Get the report of flight.
      description: |
        Return the report of flight by its id in the PDF format
      operationId: getReportFlightById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: A PDF file
          content:
            application/pdf:
              schema:
                type: string
                format: binary
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '../core/openapi.yaml#/components/schemas/ErrorMessage'

  /api/reports/airport/{id}:
    get:
      tags:
        - Report
      summary: Get the report of airport.
      description: |
        Return the report of airport by its id in the PDF format
      operationId: getReportAirportById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: A PDF file
          content:
            application/pdf:
              schema:
                type: string
                format: binary
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '../core/openapi.yaml#/components/schemas/ErrorMessage'